National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2008-3233 Detail

Current Description

Cross-site scripting (XSS) vulnerability in WordPress before 2.6, SVN development versions only, allows remote attackers to inject arbitrary web script or HTML via unspecified vectors.

Source:  MITRE
View Analysis Description

Severity



CVSS 3.x Severity and Metrics:

NIST CVSS score
NIST: NVD
Base Score: N/A
NVD score not yet provided.

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource
http://trac.wordpress.org/ticket/7220 Exploit
http://www.openwall.com/lists/oss-security/2008/07/15/5
http://www.openwall.com/lists/oss-security/2008/07/16/5
http://www.openwall.com/lists/oss-security/2008/07/16/6 Exploit

Weakness Enumeration

CWE-ID CWE Name Source
CWE-79 Improper Neutralization of Input During Web Page Generation ('Cross-site Scripting') NIST  

Known Affected Software Configurations Switch to CPE 2.3

Configuration 1 ( hide )
 cpe:/a:wordpress:wordpress:0.6.2
     Show Matching CPE(s)
 cpe:/a:wordpress:wordpress:0.6.2.1
     Show Matching CPE(s)
 cpe:/a:wordpress:wordpress:0.7
     Show Matching CPE(s)
 cpe:/a:wordpress:wordpress:0.71
     Show Matching CPE(s)
 cpe:/a:wordpress:wordpress:0.711
     Show Matching CPE(s)
 cpe:/a:wordpress:wordpress:1.0
     Show Matching CPE(s)
 cpe:/a:wordpress:wordpress:1.0.1
     Show Matching CPE(s)
 cpe:/a:wordpress:wordpress:1.0.2
     Show Matching CPE(s)
 cpe:/a:wordpress:wordpress:1.2
     Show Matching CPE(s)
 cpe:/a:wordpress:wordpress:1.2.1
     Show Matching CPE(s)
 cpe:/a:wordpress:wordpress:1.2.2
     Show Matching CPE(s)
 cpe:/a:wordpress:wordpress:1.3.1
     Show Matching CPE(s)
 cpe:/a:wordpress:wordpress:1.4
     Show Matching CPE(s)
 cpe:/a:wordpress:wordpress:1.5
     Show Matching CPE(s)
 cpe:/a:wordpress:wordpress:1.5-strayhorn
     Show Matching CPE(s)
 cpe:/a:wordpress:wordpress:1.5.1
     Show Matching CPE(s)
 cpe:/a:wordpress:wordpress:1.5.1.1
     Show Matching CPE(s)
 cpe:/a:wordpress:wordpress:1.5.1.2
     Show Matching CPE(s)
 cpe:/a:wordpress:wordpress:1.5.1.3
     Show Matching CPE(s)
 cpe:/a:wordpress:wordpress:1.5.2
     Show Matching CPE(s)
 cpe:/a:wordpress:wordpress:1.6
     Show Matching CPE(s)
 cpe:/a:wordpress:wordpress:2.0
     Show Matching CPE(s)
 cpe:/a:wordpress:wordpress:2.0.1
     Show Matching CPE(s)
 cpe:/a:wordpress:wordpress:2.0.2
     Show Matching CPE(s)
 cpe:/a:wordpress:wordpress:2.0.3
     Show Matching CPE(s)
 cpe:/a:wordpress:wordpress:2.0.4
     Show Matching CPE(s)
 cpe:/a:wordpress:wordpress:2.0.5
     Show Matching CPE(s)
 cpe:/a:wordpress:wordpress:2.0.6
     Show Matching CPE(s)
 cpe:/a:wordpress:wordpress:2.0.7
     Show Matching CPE(s)
 cpe:/a:wordpress:wordpress:2.0.8
     Show Matching CPE(s)
 cpe:/a:wordpress:wordpress:2.0.9
     Show Matching CPE(s)
 cpe:/a:wordpress:wordpress:2.0.10
     Show Matching CPE(s)
 cpe:/a:wordpress:wordpress:2.0.10_rc1
     Show Matching CPE(s)
 cpe:/a:wordpress:wordpress:2.0.10_rc2
     Show Matching CPE(s)
 cpe:/a:wordpress:wordpress:2.0.11
     Show Matching CPE(s)
 cpe:/a:wordpress:wordpress:2.1
     Show Matching CPE(s)
 cpe:/a:wordpress:wordpress:2.1.1
     Show Matching CPE(s)
 cpe:/a:wordpress:wordpress:2.1.2
     Show Matching CPE(s)
 cpe:/a:wordpress:wordpress:2.1.3
     Show Matching CPE(s)
 cpe:/a:wordpress:wordpress:2.1.3_rc1
     Show Matching CPE(s)
 cpe:/a:wordpress:wordpress:2.1.3_rc2
     Show Matching CPE(s)
 cpe:/a:wordpress:wordpress:2.2
     Show Matching CPE(s)
 cpe:/a:wordpress:wordpress:2.2.0
     Show Matching CPE(s)
 cpe:/a:wordpress:wordpress:2.2.1
     Show Matching CPE(s)
 cpe:/a:wordpress:wordpress:2.2.2
     Show Matching CPE(s)
 cpe:/a:wordpress:wordpress:2.2.3
     Show Matching CPE(s)
 cpe:/a:wordpress:wordpress:2.2_revision5002
     Show Matching CPE(s)
 cpe:/a:wordpress:wordpress:2.2_revision5003
     Show Matching CPE(s)
 cpe:/a:wordpress:wordpress:2.3
     Show Matching CPE(s)
 cpe:/a:wordpress:wordpress:2.3.1
     Show Matching CPE(s)
 cpe:/a:wordpress:wordpress:2.3.2
     Show Matching CPE(s)
 cpe:/a:wordpress:wordpress:2.3.3
     Show Matching CPE(s)
 cpe:/a:wordpress:wordpress:2.5
     Show Matching CPE(s)
 cpe:/a:wordpress:wordpress
     Show Matching CPE(s)
Up to (including)
2.5.1


Change History

1 change record found - show changes

Quick Info

CVE Dictionary Entry:
CVE-2008-3233
NVD Published Date:
07/18/2008
NVD Last Modified:
09/05/2008